#include <Nextion.h>

NexNumber n_out = NexNumber(0, 1, "n0");  // Componente NexNumber para mostrar el valor enviado desde Arduino
NexNumber n_in = NexNumber(0, 2, "n1");   // Componente NexNumber para ingresar el valor desde Nextion
NexButton b_send = NexButton(0, 3, "b0"); // Botón en Nextion para enviar el valor ingresado

float receivedFloat = 0.0;

void bSendCallback(void *ptr) {
    Serial.print("Valor enviado desde Nextion: ");
    Serial.println(receivedFloat);
}

void setup() {
    Serial.begin(9600);
    nexInit();
    b_send.attachPop(bSendCallback, &b_send);
}

void loop() {
    // Enviar un valor flotante a Nextion
    float sentFloat = 123.45; // Valor flotante que deseas enviar a Nextion
    n_out.setValue(sentFloat);

    // Actualizar el valor recibido desde Nextion
    uint32_t tempValue;
    n_in.getValue(&tempValue);
    receivedFloat = *((float*)(&tempValue)); // Convertir el valor a float

    delay(1000); // Espera 1 segundo antes de enviar el próximo valor

 //nexLoop(nex_listen_list); // Lee la pantalla Nextion => Me da error de no declarado. 

}

